package com.sjkj.appthreefloor_tsgz.login;

import android.content.Intent;
import android.text.TextUtils;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

import com.sjkj.appthreefloor_tsgz.R;
import com.sjkj.base_lib.utils.AppTools;
import com.sjkj.base_lib.utils.ToastUtils;
import com.sjkj.base_lib.view.BaseActivity;

public class ConfigActivity extends BaseActivity {
//    private MMKV mmkv = MMKV.defaultMMKV();

    @Override
    protected int initLayout() {
        return R.layout.activity_config;
    }

    @Override
    public void initView() {
        getTitleView().setText("配置");
        EditText ipDomainEt = findViewById(R.id.ip_domain_tv);
        EditText ipWebEt = findViewById(R.id.ip_web_tv);
        EditText ipUploadEt = findViewById(R.id.ip_upload_tv);
        TextView saveTv = findViewById(R.id.save_tv);
        saveTv.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String domain = ipDomainEt.getText().toString().trim();
//                String web = ipWebEt.getText().toString().trim();
                String upload = ipUploadEt.getText().toString().trim();

                if (TextUtils.isEmpty(domain)) {
                    ToastUtils.show("服务器地址不能为空");
                    return;
                }

                if (domain.contains(" ")) {
                    ToastUtils.show("服务器地址不能包含空格");
                    return;
                }

                if (!domain.endsWith("/")) {
                    ToastUtils.show("服务器地址格式有误");
                    return;
                }

//                if (TextUtils.isEmpty(upload)) {
//                    ToastUtils.show("文件服务器地址不能为空");
//                    return;
//                }
//
//                if (upload.contains(" ")) {
//                    ToastUtils.show("文件服务器地址不能包含空格");
//                    return;
//                }
//
//                if (!upload.endsWith("/")) {
//                    ToastUtils.show("文件服务器地址格式有误");
//                    return;
//                }
                AppTools.setBaseUrl(domain);
//                AppTools.setBaseFileUrl(upload);
                finish();
                AppTools.restartApp();
//                if (!TextUtils.isEmpty(domain)) {
//                    URLConfig.getInstance().setDomain(domain);
//                }
//                if (!TextUtils.isEmpty(web)) {
//                    URLConfig.getInstance().setWebView(web);
//                }
//                if (!TextUtils.isEmpty(upload)) {
//                    URLConfig.getInstance().setUpload(upload);
//                }
//                finish();

            }
        });

        ipDomainEt.setText(AppTools.getBaseUrl());
//        ipWebEt.setText(URLConfig.getInstance().getWebView());
//        ipUploadEt.setText(AppTools.getBaseFileUrl());

    }

}
